function EWmonMain(){
	
	this.ui_ewmon_main={
	view: 'layout', type: 'wide',
	rows: [
		   //toolbar
		   {
		   view: 'toolbar', 
		   type: 'MainBar',
		   elements: [
					  {view: 'button', label: DATA_LANG.backButton, type: 'prev', id: 'ewmon_button_main_back', align:"left"},
					  {view: 'label', label: APP_NAME, id: 'ewmon_label_main_title',align:"center"},
					  {}
					  ], id: 'ewmon_toolbar_main'
		   },
		   //tabbar 
		   { 
		   view:"tabbar", id:'ewmon_tabbar_main', selected: 'ewmon_layout_main_content_errors_dataviews', align:"center", inputWidth:300, 
		   options: [   
					 { label: DATA_LANG.errorsPad, src: 'images/video.png', value: 'ewmon_layout_main_content_errors_dataviews'},
					 { label: DATA_LANG.oksPad, src: 'images/video.png', value: 'ewmon_layout_main_content_statistics'}
					 ]
		   },
		   //multiview
		   {
		   gravity:3, 
		   view:"multiview", 
		   id: 'ewmon_layout_main_multiview',
		   cells:[
				  //scroll view errors
				  {
				  view: 'layout', 
				  type: 'wide',
				  id: 'ewmon_layout_main_content_errors_dataviews',
				  rows: [
						 {
						 view: 'scrollview', 
						 scroll:"y",
						 id:'ewmon_scroll_main_content_errors_default',
						 content:{
						 view: 'layout', 
						 type: 'wide',
						 id: 'prueba',
						 height:1024,
						 width: 1024,
						 rows:[{
							   view:'toolbar', 
							   type:"none",
							   elements:[{view:"label", label:' '}]
							   }]	
						 }
						 }
						 ]
				  },
				  //layout estadisticas
				  { 
				  view: 'layout', 
				  type: 'wide', 
				  id: 'ewmon_layout_main_content_statistics',
				  cols: [
						 //columna dominios
						 { 
						 view: 'scrollview', scroll: 'y',
						 content: {
						 rows: [
								{ 
								view: 'list',
								type: { width: 230,  height: 40}, 
								id: 'ewmon_list_main_domain', 
								datatype:'xml',
								template:"<div>#domain#</div><div>(#company#)</div>",
								select:true
								}
								], id: 'ewmon_content_main_domain'
						 }, id: 'ewmon_scrollview_main_domain'
						 },
						 //columna form y chart
						 { 
						 id: 'ewmon_layout_main_oks', 
						 view: 'layout', 
						 rows: [
								{ view: 'layout', type: 'wide',
								rows: [
									   { view: 'accordion',
									   rows: [
											  //Form
											  { 
											  header: DATA_LANG.formPanel, 
											  headerAlt: DATA_LANG.formPanelClosed,
											  body: { 
											  view: 'form', 
											  scroll: true,
											  elements:[ 
														 { view:'richselect', id: 'ewmon_richselect_main_oks_msgtype', label: DATA_LANG.formInterface, labelWidth: 150},
														 { view:'richselect', id: 'ewmon_richselect_main_oks_group', label: DATA_LANG.formGroups,popup:'ewmon_popup_main_groups', labelWidth: 150},
														 { view:'richselect', id: 'ewmon_richselect_main_oks_interlocutorsSource', label: DATA_LANG.formSource,popup:'ewmon_popup_main_interlocutors', labelWidth: 150},
														 { view:'richselect', id: 'ewmon_richselect_main_oks_interlocutorsDestination', label: DATA_LANG.formDestination,popup:'ewmon_popup_main_interlocutors', labelWidth: 150},
														 { view:'datepicker', id: 'ewmon_datepicker_main_oks_from', label: DATA_LANG.formTimeStart, labelAlign: "left", labelWidth: 150 },
														 { view:'datepicker', id: 'ewmon_datepicker_main_oks_to', label: DATA_LANG.formTimeEnd, labelAlign: "left", labelWidth: 150 },
														 { view: 'button', label: DATA_LANG.submit, id: 'ewmon_button_main_oks_submit'},
														 { view: 'button', label: DATA_LANG.reset, id: 'ewmon_button_main_oks_reset'}
														 ],
											  rules:{
													ewmon_datepicker_main_oks_to:dhx.rules.isNotEmpty,
													ewmon_datepicker_main_oks_from:dhx.rules.isNotEmpty,
											  }, id: 'ewmon_panel_form_main_oks'
											  }, id: 'ewmon_panel_accordion_main_oks_form'
											  },
											  //Chart
											  { 
											  header: DATA_LANG.chartPanel, 
											  headerAlt: DATA_LANG.chartPanelClosed,
											  body: { 
											  view: 'chart', 
											  type: 'line',  
											  padding:{
		  											bottom: 60,
                  									left:0,
                  									right:0
												}, 
											  xAxis: { title: '<h2>'+DATA_LANG.chartXTitle+'</h2>', template: '#FECHA#', lines: false},
											  yAxis: { title: '<h2>'+DATA_LANG.chartYTitle+'</h2>' , lines: false, template: ' '}, 
											  id: 'ewmon_chart_main_oks',
											  series:[
											  	{ 
													value:outgoingString(),
													label:outgoingString(),
													item:{
														borderColor: "#003399",
														color: "#ffffff"
													},
													line:{
														color:"#003399",
														width:4
													},
												},
												{ 
													value:incomingString(),
													label:incomingString(),
													item:{
														borderColor: "#66cc33",
														color: "#ffffff"
													},
													line:{
														color:"#66cc33",
														width:4
													},
												}],
												legend:{
														width: 120,
														align:"center",
														valign:'bottom',
														padding:20,
														layout:'x',
														marker:{
															type:"square",
															width:30
														},
														values:[
															{text: DATA_LANG.chartIncomingString,color:"#66cc33"},
															{text:DATA_LANG.chartOutgoingString,color:"#003399"}
														]
													},	   
                                              datatype: 'json'
											  }, id: 'ewmon_panel_accordion_main_oks_chart'
											  }
											  ], id: 'ewmon_accordion_main_oks'
									   }
									   ], id: 'ewmon_layout_main_oks_body'
								}
								]
						 }
						 
						 ]
				  },
				  
				  
				  
				  ]
		   }		
		   ],
	id: 'ewmon_layout_main'
	};
	
	this.getScreen = function(){
		return this.ui_ewmon_main
	};


	var groups = dhx.ui({
		view : "popup",
		id : "ewmon_popup_main_groups",
		body : {
			view : "list",
			id : "ewmon_popup_main_groups_list",
			data : "name",
			url : "data/grouplist.xml",
			datatype : "xml",
			template : "#name#",
			select : true,
			type : {
				width : 150
			}
		}
	}).hide();
	
	var groups = dhx.ui({
		view : "popup",
		id : "ewmon_popup_main_interlocutors",
		body : {
			view : "list",
			id : "ewmon_popup_main_interlocutors_list",
			data : "name",
			//url : "examples/interlocutorslist.xml",
			datatype : "xml",
			template : "#name#",
			select : true,
			type : {
				width : 300
			}
		}
	}).hide();


}

var incomingString=function(){
	return "#"+DATA_LANG.chartIncomingString+"#";
};
var outgoingString=function(){
	return "#"+DATA_LANG.chartOutgoingString+"#";
};



