function EWmonView() {
	//toolbar Variable

	this.ui_ewmon_login = new EWmonLogin();

	this.ui_ewmon_main = new EWmonMain();

	this.ui_ewmon_domain = new EWmonDomain();

	this.ui_root = {
		id : 'ewmon_app',
		view : 'multiview',
		rows : [this.ui_ewmon_login.getScreen(), this.ui_ewmon_main.getScreen(), this.ui_ewmon_domain.getScreen()]
	};

}

EWmonView.prototype.getRoot = function() {
	return this.ui_root;
}
EWmonView.prototype.getWarningWindow = function() {
	return this.ui_warning_windows;
}

EWmonView.prototype.initEventHandler = function(controller) {
	// 'back'
	$$('ewmon_button_main_back').attachEvent('onItemClick', function() {
		setDefaultScrollErrorGrid();
		ewmon_controller.domainDataViews= new Array();
		$$('ewmon_list_main_domain').clearAll();
		controller.lastView();
	});
	
	// 'back from domain'
	$$('ewmon_button_domain_back').attachEvent('onItemClick', function() {
		controller.resetCurrentData();
		controller.lastView();
	});
	
	// 'on ui_grid'
	$$('ewmon_grid_domain').attachEvent('onItemClick', function(id) {
		controller.showDocumentOnScreen(id);
	});
	
	// 'on tabbar'
	$$('ewmon_tabbar_main').attachEvent('onBeforeTabClick', function(button, id) {
		$$(id).show();
	});
	
	// 'on domain'
	$$('ewmon_list_main_domain').attachEvent('onItemClick', function(id) {
		controller.currentDomain = id;
		controller.getInterfaces();
		controller.getInterlocutors();
		controller.runFirstStatistic();
		//$$('ewmon_panel_accordion_main_oks_form').show();
	});
	
	// 'submit for chart statistics'
	$$('ewmon_button_main_oks_submit').attachEvent('onItemClick', function(id) {
		controller.validateStatisticsForm();
	});
	
	// 'btn_submit'
	$$('ewmon_button_login_submit').attachEvent('onItemClick', function() {
		controller.validateUserPass();
	});
	
		// 'btn_lang'
	$$('ewmon_richselect_login_lang').attachEvent('onchange', function(id) {
		restartWithLanguage(id);
	});
}