function buildChartFromData(initD, endD, interfaz, group, interlocutorSource, interlocutorDestination) {
	$$('ewmon_app').showOverlay();
	
	//building parameters
	initDate = initD.substring(6, 10) + initD.substring(3, 5) + initD.substring(0, 2) ;
	endDate = endD.substring(6, 10) + endD.substring(3, 5) + endD.substring(0, 2);
	var parameters={};
	parameters["username"]=ewmon_controller.currentUsername;
	parameters["password"]=ewmon_controller.currentPassword;
	parameters["domain"]=ewmon_controller.currentDomain;
	parameters["initDate"]=initDate;
	parameters["endDate"]=endDate;
	if (interfaz!=null && interfaz!="")
		parameters["interfaz"]=interfaz;
	if (group!=null && group!="")
		parameters["groupType"]=group;
	if (interlocutorSource!=null && interlocutorSource!=""){
		parameters["idInterlocutorSource"]=interlocutorSource;
		parameters["includeLogicsFromSource"]="true";
	}
	if (interlocutorDestination!=null && interlocutorDestination!=""){
		parameters["idInterlocutorDestination"]=interlocutorDestination;
		parameters["includeLogicsFromDestination"]="true";
	}
	
	$$('ewmon_chart_main_oks').clearAll();

	var address = REST_getDomainStatisticsCSV ;
	address = "examples/dataexample";

	dhx.ajax().post(address, parameters, {
		error : function(text, xml, XmlHttpRequest) {
			//$$('ewmon_chart_main_oks').hideOverlay();
			dhx.notice(DATA_LANG.retrivingDataError);
			$$('ewmon_app').hideOverlay();
		},
		success : function(text, xml) {

			var FECHA_FIELD = "FECHA";
			
			var lines = text.split("\n");
			var jsonObjArray = new Array();

			var header = lines[0].split(";");

			for(var i = 1; i < lines.length ; i++) {
				var line = lines[i].split(";");
				var tempArray = new Array();
				for(var j = 0; j < line.length; j++) {
					//giving the name to all the coloumns in the line
					tempArray[header[j]] = line[j];
				}

				var jsonObj = {};

					jsonObj["FECHA"] = tempArray[FECHA_FIELD].substring(0,5);
					jsonObj[DATA_LANG.chartOutgoingString] = parseInt(tempArray["SALIDA"]);
					jsonObj[DATA_LANG.chartIncomingString] = parseInt(tempArray["ENTRADA"]);

				jsonObjArray.push(jsonObj);
			};
			jsonObjArray.pop();

			$$('ewmon_chart_main_oks').parse(jsonObjArray, "json");
			$$('ewmon_panel_accordion_main_oks_chart').show();
			$$('ewmon_app').hideOverlay();
		}
	});
}