function builDomainResultGrid(datafielddomain,number,description) {
	//split domain and field
	if (number=="-1"){
		dhx.notice(DATA_LANG.noDataForThisField);
	}
	else{
		$$('ewmon_app').showOverlay();
		
		var underscoreIndex = datafielddomain.indexOf("_");
		var domain = datafielddomain.substring(0, underscoreIndex);
		var field = datafielddomain.substring(underscoreIndex + 1);
		
		//set description
		$$('ewmon_template_domain').define('template',DATA_LANG["status_"+field]);
	
		ewmon_controller.currentDomain = domain;
	
		var address = REST_getFieldData + "username/" + ewmon_controller.currentUsername + "/password/" + ewmon_controller.currentPassword + "/domain/" + domain + "/field/" + field + "/";
		address = "examples/fieldcolumns_" + ewmon_controller.currentUsername + "_" + ewmon_controller.currentPassword + "_" + domain + "_" + field + ".xml";
	
		dhx.ajax().get(address, "", {
			error : function(text, xml, XmlHttpRequest) {
				dhx.notice(DATA_LANG.retrivingDataError);
				$$('ewmon_app').hideOverlay();
			},
			success : function(text, xml) {
				var xml = dhx.DataDriver.xml.toObject(text, xml);
	
				var fields = new Array();
	
				//needed to store the columns names
				var fieldsData = new Array();
	
				//final json for building the component
				var jsonObject = Array();
	
				//iterate on queryData attributes
				for(var y = 0; y < xml.childNodes[0].attributes.length; y++) {
					if(xml.childNodes[0].attributes[y].nodeName == "type") {
						ewmon_controller.currentType = xml.childNodes[0].attributes[y].nodeValue;
					} else if(xml.childNodes[0].attributes[y].nodeName == "subtype") {
						ewmon_controller.currentSubType = xml.childNodes[0].attributes[y].nodeValue;
					} else if(xml.childNodes[0].attributes[y].nodeName == "keys") {
						//splitting domains
						var foo = xml.childNodes[0].attributes[y].nodeValue;
						var bar = foo.split(",");
						for(var i = 0; i < bar.length; i++) {
							ewmon_controller.currentKeys.push(bar[i].replace(".", "").toLowerCase());
							bar[i] = bar[i].split(",");
						}
					}
				}
	
				//itarate on tags
				for(var i = 0; i < xml.childNodes[0].childNodes.length; i++) {
					var indexCol = 0;
					var currentRows = 0;
					if(xml.childNodes[0].childNodes[i] instanceof Element && xml.childNodes[0].childNodes[i].tagName == "columns") {
						//we are in <columns>
						//fields[] creation
						fieldsData.push(xml.childNodes[0].childNodes[i].textContent);
					} else if(xml.childNodes[0].childNodes[i] instanceof Element && xml.childNodes[0].childNodes[i].tagName == "row") {
						//we are in <row>
						indexCol = 0;
						var data = {};
						for(var k = 0; k < xml.childNodes[0].childNodes[i].childNodes.length; k++) {
							if(xml.childNodes[0].childNodes[i].childNodes[k] instanceof Element && xml.childNodes[0].childNodes[i].childNodes[k].tagName == "cell") {
								//we are in <cell>
								var fieldsDataNoDot = fieldsData[indexCol].replace(".", "");
								data[fieldsDataNoDot] = xml.childNodes[0].childNodes[i].childNodes[k].textContent;
								indexCol++;
							}
						}
						jsonObject.push(data);
					}
				}
	
				//creating fields
				var fieldDim = ewmon_controller.deviceWidth / fieldsData.length;
				//var fieldDim = 150;
				for(var j = 0; j < fieldsData.length; j++) {
					fields.push(new fieldElement(fieldsData[j], fieldDim));
				}
	
				$$('ewmon_grid_domain').clearAll();
				$$('ewmon_grid_domain').define("fields", fields);
				$$('ewmon_grid_domain').parse(jsonObject);
				$$('ewmon_app').hideOverlay();
				ewmon_controller.switchView('ewmon_layout_domain');
			}
		});

	}

	var fieldElement = function(fieldName, size) {
		var data = {
			label : fieldName,
			template : '#' + fieldName.replace(".", "") + '#',
			type : 'custom',
			align : 'left',
			width : size,
			id : 'ewmon_field_datagrid_domain_' + fieldName.replace(".", "")
		}
		return data;
	}
	
}