function buildErrorsGrid() {

	var address = REST_getDomains + "username/" + ewmon_controller.currentUsername + "/password/" + ewmon_controller.currentPassword + "/";
	address = "examples/domains_" + ewmon_controller.currentUsername + "_" + ewmon_controller.currentPassword + ".xml";

	dhx.ajax().get(address, "", {
		error : function(text, xml, XmlHttpRequest) {
			dhx.notice(DATA_LANG.retrivingDataError);
			$$('ewmon_app').hideOverlay();
		},
		success : function(text, xml) {
			var xml = dhx.DataDriver.xml.toObject(text, xml);

			var content = new Array();

			for(var i = 0; i < xml.childNodes[0].childNodes.length; i++) {

				if(xml.childNodes[0].childNodes[i] instanceof Element && xml.childNodes[0].childNodes[i].tagName == "item") {
					//we are in <item>
					var domainID;
					var typeID;
					var nodeValue;
					var companyName;

					for(var j = 0; j < xml.childNodes[0].childNodes[i].attributes.length; j++) {
						if(xml.childNodes[0].childNodes[i].attributes[j].nodeName == "id") {
							nodeValue = xml.childNodes[0].childNodes[i].attributes[j].nodeValue;

						}
					}

					for(var k = 0; k < xml.childNodes[0].childNodes[i].childNodes.length; k++) {
						//fields[] creation
						if(xml.childNodes[0].childNodes[i].childNodes[k].nodeName == "company") {
							companyName = xml.childNodes[0].childNodes[i].childNodes[k].textContent;
						}
					}

					var idDataView = 'ewmon_dataview_main_' + nodeValue;

					content.push(buildToolbar(nodeValue, companyName));
					content.push(buildDataview(nodeValue, idDataView, ewmon_controller.deviceWidth / 16));
					ewmon_controller.domainDataViews.push({
						domain : nodeValue,
						id : idDataView
					});

				}
			}

			var newUI = {
				view : 'scrollview',
				scroll : "y",
				id : 'ewmon_scroll_main_content_errors',
				content : {
					view : 'layout',
					type : 'wide',
					id : 'newLayout',
					rows : content
				}
			}

			dhx.ui(newUI, dhx.ui.get("ewmon_layout_main_content_errors_dataviews"), "ewmon_scroll_main_content_errors_default");

			//update all dataviews
			updateDataViews();

			$$('ewmon_app').hideOverlay();
		}
	});

	var buildToolbar = function(domainId, domainCompany) {
		var data = {
			view : "toolbar",
			type : "none",
			elements : [{
				view : "label",
				label : "<div class='ewmon_label_domainID'>" + domainId + " (" + domainCompany + ")</div>"
			}]
		}

		return data;
	}
	var buildDataview = function(domainName, idDataView, size) {
		
		//var templ="<div id='ewmon_dataview_cell_status_#status#' number='n_#number#' onclick='builDomainResultGrid(\"#id#\",\"#number#\");'><span class='dhx_strong'>#type#</span><span class='dhx_light'>#number#</span></div>";
		var templ="<div id='ewmon_dataview_cell_status_#status#' number='n_#number#'><span class='dhx_strong'>#type#</span><span class='dhx_light'>#number#</span></div>";

		var data = {
			view : "dataview",
			height : 50,
			type : {
				template : templ,
				height : 30,
				width : 40
			},
			datatype : "xml",
			id : idDataView
		}

		return data;
	}
}

function setDefaultScrollErrorGrid() {
	var startDefaultPanel = {
		view : 'scrollview',
		scroll : "y",
		id : 'ewmon_scroll_main_content_errors_default',
		content : {
			view : 'layout',
			type : 'wide',
			id : 'prueba',
			rows : [{
				view : "toolbar",
				type : "none",
				elements : [{
					view : "label",
					label : ' '
				}]
			}]
		}
	};
	dhx.ui(startDefaultPanel, dhx.ui.get("ewmon_layout_main_content_errors_dataviews"), "ewmon_scroll_main_content_errors");
}

function updateDataViews() {
	for(var k = 0; k < ewmon_controller.domainDataViews.length; k++) {

		var address = REST_getDomainValues + "username/" + ewmon_controller.currentUsername + "/password/" + ewmon_controller.currentPassword + "/domain/" + ewmon_controller.domainDataViews[k].domain + "/";
		address = "examples/domainfields_" + ewmon_controller.currentUsername + "_" + ewmon_controller.currentPassword + "_" + ewmon_controller.domainDataViews[k].domain + ".xml";

		var dataId = ewmon_controller.domainDataViews[k].id;
		fillDataView(address, dataId);
		
	}
	
	function fillDataView(address, dataId) {
		dhx.ajax().get(address, "", {
			error : function(text, xml, XmlHttpRequest) {
				dhx.notice(DATA_LANG.retrivingDataError);
			},
			success : function(text, xml) {
				var xml = dhx.DataDriver.xml.toObject(text, xml);
				$$(dataId).parse(text, 'xml');
				attachDataViewEvent(dataId);
			}
		});
		
		function attachDataViewEvent(dataId) {
			$$(dataId).attachEvent('onItemClick', function(id) {
				var item = $$(dataId).item(id);
				builDomainResultGrid(id,item.number,item.description);
			});
		}
		
	}
}



