function EWmonLogin(){
	
	this.ui_ewmon_index={
		view: 'layout', type: 'wide',
		rows: [
			{
				view: 'toolbar', 
				type: 'MainBar',
				elements: [
					{},
					{view: 'label', label: APP_NAME, id: 'ewmon_label_login_title', align:"center"},
					{view: 'richselect', id: 'ewmon_richselect_login_lang',  popup:'ewmon_popup_login_languages', label: DATA_LANG.languageSel, align:"right"}
				], id: 'ewmon_toolbar_login'
			},
			{
				view: 'layout', 
				type: 'clean',
				rows:[
					{view:"template", 
					  template:"<div class='ewmon_logo'></div>",
    				scroll:false},
					{
						view: 'layout', 
						type: 'clean',
						cols: [
							{
	
							},
							{
								view: 'form',
								id: 'ewmon_form_login',
								width:400,
								elements: [
									{view: "text", label: DATA_LANG.username, align: "left", id: "ewmon_text_login_username",},
									{view: "text", label: DATA_LANG.password, align: "left", id: "ewmon_text_login_password", type:"password"},
									{view: 'button', label: DATA_LANG.submit, id: 'ewmon_button_login_submit', width:400},
								],
								rules:{
									ewmon_text_login_username:dhx.rules.isNotEmpty,
									ewmon_text_login_password:dhx.rules.isNotEmpty
								}
							},
							{}
						]
					},
					//{}
				]
			}
			
		],
		id: 'ewmon_layout_login'
	};
	
	var languages=dhx.ui({
                view:"popup",
                id:"ewmon_popup_login_languages",
                body:{
                    view:"list", 
                    id:"ewmon_list_popup_login_languages", 
                    data:"name",
                 	url:"data/langlist.xml", 
                 	datatype:"xml",
                 	template:"#name#", 
                 	select:true, 
                 	type: { width: 150}
                }
            }).hide();
	
	this.getScreen = function(){
		return this.ui_ewmon_index
	};
}

