function initCodemirrorEditor(idCampo,type) {
	
	if (type=="XML"){
		codeMirrorDefineXML();
		CodeMirror.defaults.mode="xml";
	}else if (type=="EDI"){
		codeMirrorDefineEDI();
		CodeMirror.defaults.mode="edi";	
	}else if (type=="X12"){
		codeMirrorDefineX12();
		CodeMirror.defaults.mode="x12";
	}else{
		codeMirrorDefineTXT();
		CodeMirror.defaults.mode="txt";
	}
	var _editor = CodeMirror.fromTextArea(document.getElementById(idCampo), {
		lineNumbers: true,
		matchBrackets: true,
		readOnly: true,
		onChange: function() {
			editor.modificado = true;
		},
		onCursorActivity: function() {
			return false;
		}
	});
	return _editor;
}

function replaceAll( text, busca, reemplaza ){
  while (text.toString().indexOf(busca) != -1)
      text = text.toString().replace(busca,reemplaza);
  return text;
}
